Name:           perl-MooseX-GlobRef
Version:        0.0701
Release:        %mkrel 5
Summary:        Store a Moose object in glob reference
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/MooseX-GlobRef
Source0:        https://cpan.metacpan.org/authors/id/D/DE/DEXTER/MooseX-GlobRef-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Moose) >= 0.94
BuildRequires:  perl(Moose::Exporter)
BuildRequires:  perl(Moose::Object)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util::MetaRole)
BuildRequires:  perl(Scalar::Util)
# Tests
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exception::Assertion)
BuildRequires:  perl(Exception::Base)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(parent)
BuildRequires:  perl(Test::Assert)
BuildRequires:  perl(Test::Unit::Lite) >= 0.11
Requires:       perl(Data::Dumper)

Obsoletes:      perl-MooseX-GlobRef-Object <= 0.0701-2.fc15

%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Moose\\)\s*$

%description
This meta-policy allows to store Moose object in glob reference or file
handle. The class attributes will be stored in anonymous hash associated
with glob reference. It allows to create a Moose version of IO::Handle.

%prep
%setup -q -n MooseX-GlobRef-%{version}
find eg -type f -exec chmod a-x {} +

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes eg README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.0701-5.mga9
+ Revision: 1804675
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0701-4.mga8
+ Revision: 1495656
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.0701-3.mga7
+ Revision: 1269599
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0701-2.mga6
+ Revision: 1030371
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 tv <tv> 0.0701-1.mga6
+ Revision: 995082
- imported package perl-MooseX-GlobRef


* Thu Mar 24 2016 Thierry Vignaud <tv@mageia.org> 0.0701-1.mga6
- import from FC
